aboutsummaryrefslogtreecommitdiff
path: root/ripdisc
diff options
context:
space:
mode:
Diffstat (limited to 'ripdisc')
-rw-r--r--ripdisc28
1 files changed, 28 insertions, 0 deletions
diff --git a/ripdisc b/ripdisc
new file mode 100644
index 0000000..b5b23d3
--- /dev/null
+++ b/ripdisc
@@ -0,0 +1,28 @@
+#!/bin/bash
+echo "Press Ctrl+C to stop the script"
+eject
+while :
+do
+echo "Please insert disc"
+disc=2
+while [[ $disc != 0 ]]
+do
+
+sudo blkid /dev/sr0 >> /dev/null
+disc=$?
+sleep 5
+
+done
+
+name=$(sudo blkid /dev/sr0 | cut -d= -f3 | cut -d'"' -f2)
+output=$(echo $name | sed -e 's/ /_/g')
+echo "Disc Found: $name"
+echo "Outputting to: $output.iso"
+
+# Set save path here
+dd if=/dev/sr0 | pv | dd of=~/ISOs/$output.iso
+
+echo "Finished! Insert your next disc"
+eject
+sleep 10
+done